Question: Updated R version to 3.3.3 and now I can not download from source("http://bioconductor.org/biocLite.R")
1
gravatar for yzfmonster
2.5 years ago by
yzfmonster20
yzfmonster20 wrote:

Dear experts!

I had no problem downloading the following packages when I had version 3.0.7 last weekend, but I upgraded to 3.3.3 now.

source("http://bioconductor.org/biocLite.R")
biocLite("DESeq2")
source("http://bioconductor.org/biocLite.R")
biocLite("edgeR")
source("http://bioconductor.org/biocLite.R")
biocLite("limma")
source("http://bioconductor.org/biocLite.R")
biocLite("Biobase")

and now I can not download the same things. Any help appreciated! Many thanx

yzf

OK it seems that the problem is bioconductor version so I tried to install bioconductor by

source("https://bioconductor.org/biocLite.R")
biocLite()

But this is what I get.

'biocLite.R' failed to install 'BiocInstaller', use 'install.packages("BiocInstaller",
  repos="https://bioconductor.org/packages/3.4/bioc")' or 'install.packages("BiocInstaller", repos="http://bioconductor.org/packages/3.4/bioc")'
rna-seq • 2.8k views
ADD COMMENTlink modified 2.5 years ago by WouterDeCoster41k • written 2.5 years ago by yzfmonster20

What is the error you get when you try to install the package.

ADD REPLYlink written 2.5 years ago by theobroma221.1k

Thanks for reply. I get many warnings and error message.

'biocLite.R' failed to install 'BiocInstaller', use 'install.packages("BiocInstaller", repos="https://bioconductor.org/packages/3.4/bioc")' or 'install.packages("BiocInstaller", repos="http://bioconductor.org/packages/3.4/bioc")'

ADD REPLYlink written 2.5 years ago by yzfmonster20
1

Problem solved by

install.packages("BiocInstaller",repos="http://bioconductor.org/packages/3.4/bioc")
ADD REPLYlink modified 2.5 years ago by WouterDeCoster41k • written 2.5 years ago by yzfmonster20

Thanks for posting your own solution to follow up!

ADD REPLYlink written 2.5 years ago by dyollluap300

You may have installed R without support for https. How did you update it? Which operating system?

ADD REPLYlink written 2.5 years ago by Giovanni M Dall'Olio26k

I still have to remove s from https. Thank you

ADD REPLYlink written 2.5 years ago by yzfmonster20

If the same command does not work with https and work with http, then it is that you didn't install with support for https. I could help you more if you explained how you installed R and which operating system.

ADD REPLYlink written 2.5 years ago by Giovanni M Dall'Olio26k

I modified your post with code formatting for readability. You can do the same, by just selecting the text you want to format and clicking on the 101010 button. Please take this into account for your posts in the future.

ADD REPLYlink written 2.5 years ago by WouterDeCoster41k

Thank you for fixing my messages. Could you please explain what/where 101010 button is? Thank you again.

ADD REPLYlink written 2.5 years ago by yzfmonster20

When you compose or edit a post it's in your toolbar, see image below:

101010 Button

ADD REPLYlink written 2.5 years ago by WouterDeCoster41k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 2393 users visited in the last hour